Zonemaster::NSArray(3pm)

NAME
Zonemaster::NSArray - Class implementing arrays that lazily looks up name server addresses from their names

SYNOPSIS
    tie @ary, 'Zonemaster::NSArray', @ns_names

DESCRIPTION
This class is used for the "glue" and "ns" attributes of the Zonemaster::Zone class. It is initially seeded with a list of names, which will be expanded into proper Zonemaster::Nameserver objects on demand. Be careful with using Perl functions that act on whole arrays (particularly "foreach"), since they will usually force the entire array to expand, negating the use of the lazy-loading.

METHODS
These are all methods implementing the Perl tie interface. They have no independent use.

TIEARRAY
STORE
STORESIZE
FETCH
FETCHSIZE
EXISTS
DELETE
CLEAR
PUSH
UNSHIFT
POP
SHIFT
SPLICE
UNTIE

AUTHOR
Calle Dybedahl, "<calle at init.se>"